package agilpizza;

import static org.junit.Assert.*;
import agilpizza.selenium.SeleniumTestCase;
import org.junit.*;


public class IdentificacaoTest extends SeleniumTestCase{
	
	@Test
	public void testaParaVerSeGravouClienteComTelefone()
	{
		sel.open(CONTEXTO);
		sel.clickAndWait("identificacao");
		sel.type("telefone", "555-1234");
		sel.clickAndWait("//input[@value='enviar']");
		assertTrue(sel.isTextPresent("Nome:"));
		assertTrue(sel.isTextPresent("CPF:"));
		assertTrue(sel.isTextPresent("Rua:"));
		assertTrue(sel.isTextPresent("Número:"));
		assertTrue(sel.isTextPresent("Complemento:"));
		assertTrue(sel.isTextPresent("Bairro:"));
		assertTrue(sel.isTextPresent("CEP:"));
		sel.type("nome", "Alexandre");
		sel.type("cpf", "123321");
		sel.type("rua", "dos Bobos");
		sel.type("numero", "0");
		sel.type("complemento", "dsaj");
		sel.type("bairro", "kjgk");
		sel.type("cep", "kjgkgfdaskjg");
		sel.clickAndWait("//input[@value='enviar']");
		assertTrue(sel.isTextPresent("Olá Alexandre! O seu pedido será entregue no seguinte endereço:"));
		sel.clickAndWait("//img");
		sel.clickAndWait("identificacao");
		sel.type("telefone", "555-1234");
		sel.clickAndWait("//input[@value='enviar']");
		assertTrue(sel.isTextPresent("Olá Alexandre! O seu pedido será entregue no seguinte endereço"));
	}

}
